
import os
import pandas as pd


files = os.listdir('./data')

header_keep = [
    'NetStructure_BottomPos_2',
    'Bridle1_ForceA_0',
    'Bridle1_ForceA_1',
    'Bridle1_ForceA_2',
    'Bridle2_ForceA_0',
    'Bridle2_ForceA_1',
    'Bridle2_ForceA_2',
    'Bridle3_ForceA_0',
    'Bridle3_ForceA_1',
    'Bridle3_ForceA_2',
    'Bridle4_ForceA_0',
    'Bridle4_ForceA_1',
    'Bridle4_ForceA_2',
    'Bridle5_ForceA_0',
    'Bridle5_ForceA_1',
    'Bridle5_ForceA_2',
    'Bridle6_ForceA_0',
    'Bridle6_ForceA_1',
    'Bridle6_ForceA_2',
    'Bridle7_ForceA_0',
    'Bridle7_ForceA_1',
    'Bridle7_ForceA_2',
    'Bridle8_ForceA_0',
    'Bridle8_ForceA_1',
    'Bridle8_ForceA_2',
    'Bridle9_ForceA_0',
    'Bridle9_ForceA_1',
    'Bridle9_ForceA_2',
    'Bridle10_ForceA_0',
    'Bridle10_ForceA_1',
    'Bridle10_ForceA_2',
    'Bridle11_ForceA_0',
    'Bridle11_ForceA_1',
    'Bridle11_ForceA_2',
    'Bridle12_ForceA_0',
    'Bridle12_ForceA_1',
    'Bridle12_ForceA_2',
    'BridlesSumLoadA_Out_0',
    'BridlesSumLoadA_Out_1',
    'BridlesSumLoadA_Out_2',
            ]

for file in files:
    data_path = './data/' + file
    df = pd.read_csv(data_path, header=None, sep=';')

    # there are two rows of header in raw data
    row_one = df.iloc[0].values.tolist()
    row_two = df.iloc[1].values.tolist()

    # re-organize the two-row header to one-row
    header = []
    for i in range(len(row_one)):
        a = row_one[i]
        b = str(row_two[i])
        if b == 'nan':
            header.append(row_one[i])
        else:
            header.append(row_one[i] + '_' + row_two[i])

    # remove the old header
    df.drop(df.head(2).index, inplace=True)
    # change the header
    df.columns = header
    # select the features we need
    df_select = df[header_keep]
    # save new csv file

    new_data_folder = './new_data/'

    if not os.path.exists(new_data_folder):
        os.makedirs(new_data_folder)

    df_select.to_csv(new_data_folder+file, index=None)








